Subject: Re: Again ISA DMA question

From: Gabriel Paubert <[email-masked]>
Date: Mon, 28 Mar 2005 12:16:49 +0200

On Mon, Mar 28, 2005 at 02:08:38PM -0500, Pavel Fedin wrote:
>  Hello, all!
> 
>  In a source code or AROS operating system (http://www.aros.org) i 
> found this comment:
> 
>  --- cut ---
>     The older PReP machines have the DMA area limited to first 16MB of 
> system
>     memory. Therefore it is reasonable, to place the kernel at the end 
> of DMA
>     RAM. Both areas may be then easily separated.
>  --- cut ---
> 
>  Does this mean that Linux has an option to limit DMA memory space to 
> first 16 MB? PReP machines are fully supported i guess. Or not fully?

Well, actually if you are courageous, many PreP machines have an
extended ISA DMA with 32 bits addressing capability (this depends
on the ISA bridge). But ISA DMA is only used for floppy and I have 
never connected a floppy to my Prep machines sicne I got the first 
one back in 1997. 

	Regards,
	Gabriel